ComponentDescription
System ArchitectureCamms.Incident is a web-based application implemented using the Microsoft .NET Framework Version 4.5 and Microsoft SQL Server 2016.  It utilises C#, ASP.Net, ASP.Net MVC, ADO.Net, Microsoft Silverlight and other Microsoft programming technologies.

Running on Microsoft Windows Server 2008 and using IIS 7.5, Camms.Incident represents a stable and well supported infrastructure configuration. Access to the site is gained using Internet browser technology. The recommended version for this is Microsoft Edge and Google Chrome. Reports can be generated in Adobe Acrobat (PDF, Microsoft Word, Microsoft Excel, Microsoft SSRS and Crystal Reports Viewer formats.

End User RequirementsTo run Camms.Risk Incident the following software will need to be installed on all user workstations:
  • Microsoft Edge and Google Chrome (the application is best viewed in Google Chrome standard version with 1024*768 resolutions or above)
  • Adobe Reader 8.0 and above
  • ADSL2 or Fast internet connection